Get Subscriptions by Customer
curl --request GET \
--url https://api-sandbox.revolv3.com/api/Customers/{customerId}/subscriptions \
--header 'x-revolv3-token: <api-key>'import requests
url = "https://api-sandbox.revolv3.com/api/Customers/{customerId}/subscriptions"
headers = {"x-revolv3-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-revolv3-token': '<api-key>'}};
fetch('https://api-sandbox.revolv3.com/api/Customers/{customerId}/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"subscriptionId": 1,
"customerId": 3,
"merchantSubscriptionRefId": null,
"networkTransactionId": null,
"billingIntervalType": "Days",
"billingIntervalCount": 1,
"subscriptionStatusType": "current",
"subscriptionCancelType": null,
"initialBillDate": "9/1/2026",
"nextBillDate": "9/2/2026",
"taxAddress": {
"addressId": 0,
"addressLine1": "101 Update Street",
"addressLine2": null,
"city": "Irvine",
"state": "CA",
"postalCode": "92602",
"phoneNumber": null,
"email": null,
"country": "US"
},
"paymentMethodIds": [
1
],
"cancelledAt": null,
"billingPlans": [
{
"subscriptionBillingPlanId": 1,
"subscriptionId": 0,
"name": "Billing Plan 1",
"value": 10.99,
"startDate": "9/1/2026",
"cyclesRemaining": -1,
"cycleCount": 0,
"valueType": "Standard"
},
{
"subscriptionBillingPlanId": 2,
"subscriptionId": 0,
"name": "Billing Plan 2",
"value": 14.99,
"startDate": "9/1/2026",
"cyclesRemaining": 12,
"cycleCount": 0,
"valueType": "Standard"
}
],
"message": null,
"paymentProcessor": null,
"processorMerchantId": null,
"processorRawResponse": null,
"currency": null,
"responseMessage": null,
"responseCode": null
},
{
"subscriptionId": 2,
"customerId": 3,
"merchantSubscriptionRefId": null,
"networkTransactionId": null,
"billingIntervalType": "Months",
"billingIntervalCount": 1,
"subscriptionStatusType": "recycled",
"subscriptionCancelType": null,
"initialBillDate": "9/1/2026",
"nextBillDate": "9/2/2026",
"taxAddress": null,
"paymentMethodIds": null,
"cancelledAt": null,
"billingPlans": null,
"message": null,
"paymentProcessor": null,
"processorMerchantId": null,
"processorRawResponse": null,
"currency": null,
"responseMessage": null,
"responseCode": null
}
]{
"message": "Attempted to perform an unauthorized operation."
}{
"message": "Unable to find an entity with the provided data."
}Customers
Get Subscriptions by Customer
Retrieves a list of all subscriptions linked to a specific customer, identified by their Customer ID. This includes active, or cancelled subscriptions — each with details such as billing plan, billing cycle, status, and payment method.
The endpoint is typically used to display a customer’s subscription history, manage their recurring payments, or determine eligibility for changes (e.g., upgrade, cancellation).
GET
/
api
/
Customers
/
{customerId}
/
subscriptions
Get Subscriptions by Customer
Authorizations
Path Parameters
Required range:
1 <= x <= 1000000000Response
OK
Required range:
1 <= x <= 1000000000Required range:
1 <= x <= 1000000000Maximum string length:
100Maximum string length:
100Maximum string length:
50Required range:
1 <= x <= 1000000000Maximum string length:
50Maximum string length:
50Maximum string length:
20Maximum string length:
20Show child attributes
Show child attributes
Maximum string length:
40Show child attributes
Show child attributes
Maximum string length:
500Maximum string length:
100Maximum string length:
100Maximum string length:
10000Maximum string length:
3Maximum string length:
500Maximum string length:
10
